if (etat_cuisinierdonjon < 1)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> I make food for the entire prison.")
chat.print("Don't touch my cauldron, it's a bit old...")
}

if (etat_cuisinierdonjon == 3)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> Did you bring my lunch to the prisoners ?")
}

try
{
if (etat_cuisinierdonjon == 2 && pinv.getSlotContainingItem(353) < 0)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> Bring me back every Strange powder you get.")
chat.print("I need 7 doses.")
}

if (etat_cuisinierdonjon == 2 && pinv.getItemInSlot(pinv.getSlotContainingItem(353)).getQuantity() == 1)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> Ah you already found one dose. But this is")
chat.print("not enough, I need six more.")
}

if (etat_cuisinierdonjon == 2 && pinv.getItemInSlot(pinv.getSlotContainingItem(353)).getQuantity() == 2)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> Ah, 2 doses, that's good.")
chat.print("5 left !")
}


if (etat_cuisinierdonjon == 2 && pinv.getItemInSlot(pinv.getSlotContainingItem(353)).getQuantity() == 3)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> 3 doses of powder... Hmm...")
chat.print("You have to bring me 4 more.")
}


if (etat_cuisinierdonjon == 2 && pinv.getItemInSlot(pinv.getSlotContainingItem(353)).getQuantity() == 4)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> Oh you find 4 doses ?")
chat.print("Bring me back 3 others, and we're cool.")
}


if (etat_cuisinierdonjon == 2 && pinv.getItemInSlot(pinv.getSlotContainingItem(353)).getQuantity() == 5)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> 2 doses left, and then I'll cook !")

}


if (etat_cuisinierdonjon == 2 && pinv.getItemInSlot(pinv.getSlotContainingItem(353)).getQuantity() == 6)
{
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> Bring me one more dose and you")
chat.print("will have reunited all the powder I need.")
}
}
catch(e)
{
}

if (etat_cuisinierdonjon == 1)
{
etat_cuisinierdonjon=15;
sound.playSoundUI("sound.dialogues");
chat.print("<Cook> Given that you destroyed my caldron, the")
chat.print("least you can do is to help me.")
time.sleep(5);
sound.playSoundUI("sound.dialogues");
chat.print("You destroyed all the strange powder I used")
chat.print("to feed the Tree Lovers.")
time.sleep(5);
sound.playSoundUI("sound.dialogues");
chat.print("If you bring me back all of it, maybe I will be able")
chat.print("to cook their lunch.")
etat_cuisinierdonjon=2;
}

try
{
if (etat_cuisinierdonjon == 2 && pinv.getItemInSlot(pinv.getSlotContainingItem(353)).getQuantity() >= 7)
{
etat_cuisinierdonjon=15;
sound.playSoundUI("sound.dialogues");
chat.print("Ah, you found enough strange powder!")
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("I can finally feed this poor starving prisonners.")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("...")
time.sleep(3);
sound.playSoundUI("sound.dialogues");
chat.print("HOP ! HOP !")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("Here you go, bring this to the prisonners please.")
time.sleep(4);
sound.playSoundUI("sound.dialogues");
chat.print("I'm too busy fixing the caldron you shamefully destroyed.")
time.sleep(6);
sound.playSoundUI("sound.réussite");
pinv.addItem(Item(357));
pinv.addItem(Item(357));
pinv.addItem(Item(357));
pinv.addItem(Item(357));
pinv.addItem(Item(357));
chat.print("You got strange looking cookies.")
etat_cuisinierdonjon=3;
etat_arbrophileprison=3;
time.sleep(0.5);
pinv.consumeItem(353);
pinv.consumeItem(353);
pinv.consumeItem(353);
pinv.consumeItem(353);
pinv.consumeItem(353);
pinv.consumeItem(353);
pinv.consumeItem(353);
}
}
catch(e)
{
}